12 Replies Latest reply: Apr 9, 2013 1:03 AM by Krishna-Oracle RSS

    ins_rdbms.mk

    user8898355
      Hi.

      I'm trying to install a patchset for a 10.2.0.1 in Linux RHEL.

      [oracle10@SERVERBD01 base]$ uname -a
      Linux SERVERBD01 2.6.18-274.el5 #1 SMP Fri Jul 8 17:36:59 EDT 2011 x86_64 x86_64 x86_64 GNU/Linux
      [oracle10@SERVERBD01 base]$ cat /etc/issue.bak
      Red Hat Enterprise Linux Server release 5.7 (Tikanga)
      Kernel \r on an \m

      I installed 10201_database_linux_x86_64.cpio and now p6810189_10204_Linux-x86-64.zip


      When installing patchset 10.2.0.4 at 69%, when linking, I get the following error:

      INFO: ct/10.2.0/db_1/rdbms/lib/libknlopt.a | grep "kxmnsd.o" > /dev/null 2>&1 ; then echo " " ; else echo "-lordsdo10"; fi` -lctxc10 -lctx10 -lzx10 -lgx10 -lctx10 -lzx10 -lgx10 -lordimt10 -lsnls10 -lnls10 -lcore10 -lsnls10 -lnls10 -lcore10 -lsnls10 -lnls10 -lxml10 -lcore10 -lunls10 -lsnls10 -lnls10 -lcore10 -lnls10 -lsnls10 -lunls10 -lsnls10 -lnls10 -lcore10 -lsnls10 -lnls10 -lcore10 -lsnls10 -lnls10 -lxml10 -lcore10 -lunls10 -lsnls10 -lnls10 -lcore10 -lnls10 -laio `cat /oracle10g/oracle/product/10.2.0/db_1
      INFO: /lib/sysliblist` -Wl,-rpath,/oracle10g/oracle/product/10.2.0/db_1/lib -lm `cat /oracle10g/oracle/product/10.2.0/db_1/lib/sysliblist` -ldl -lm -L/oracle10g/oracle/product/10.2.0/db_1/lib

      INFO: /oracle10g/oracle/product/10.2.0/db_1/lib//libcore10.a(lcd.o): In function `lcdprm':
      lcd.c:(.text+0xb71): warning: the `gets' function is dangerous and should not be used.
      /oracle10g/oracle/product/10.2.0/db_1/lib//libserver10.a(vsnf.o):(.rodata+0x538): undefined reference to `kecrban'
      collect2: ld returned 1 exit status

      INFO: make: *** [oracle10g/oracle/product/10.2.0/db_1/rdbms/lib/oracle] Error 1

      INFO: End output from spawned process.
      INFO: ----------------------------------
      INFO: Exception thrown from action: make
      Exception Name: MakefileException
      Exception String: Error in invoking target 'ioracle' of makefile '/oracle10g/oracle/product/10.2.0/db_1/rdbms/lib/ins_rdbms.mk'. See '/home/oracle10/oraInventory/logs/installActions2012-02-02_11-12-08AM.log' for details.
      Exception Severity: 1

      Any ideas? I have tried to install al rpm packages

      [oracle10@SERVERBD01 ~]$ rpm -qa | grep compat-db-4.2.52-5.1
      compat-db-4.2.52-5.1
      compat-db-4.2.52-5.1
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep binutils-2.17.5
      binutils-2.17.50.0.6-14.el5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep compat-libstdc++-296-2.96-138
      compat-libstdc++-296-2.96-138
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep compat-libstdc++-33-3.2.3-61
      compat-libstdc++-33-3.2.3-61
      compat-libstdc++-33-3.2.3-61
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep compat-libstdc++-33-3.2.3-61
      compat-libstdc++-33-3.2.3-61
      compat-libstdc++-33-3.2.3-61
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep control-center-2.16.0-14
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep gcc-4.1.1-52
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep gcc-c++-4.1.1-52
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-2.5-12
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep control-center-2.16.0-14
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep control-center-
      control-center-2.16.0-16.el5
      control-center-devel-2.16.0-16.el5
      control-center-2.16.0-16.el5
      control-center-devel-2.16.0-16.el5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep gcc-4.1.1-52
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep gcc-4.1.1-
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep gcc-4.1
      gcc-4.1.2-51.el5
      libgcc-4.1.2-51.el5
      libgcc-4.1.2-51.el5
      [oracle10@SERVERBD01 ~]$ which gcc
      /usr/bin/gcc
      [oracle10@SERVERBD01 ~]$ gcc -version
      gcc: unrecognized option '-version'
      gcc: no input files
      [oracle10@SERVERBD01 ~]$ gcc -v
      Using built-in specs.
      Target: x86_64-redhat-linux
      Configured with: ../configure prefix=/usr mandir=/usr/share/man infodir=/usr/share/info enable-shared enable-threads=posix enable-checking=release with-system-zlib enable-__cxa_atexit disable-libunwind-exceptions enable-libgcj-multifile enable-languages=c,c++,objc,obj-c++,java,fortran,ada enable-java-awt=gtk disable-dssi disable-plugin with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre with-cpu=generic --host=x86_64-redhat-linux
      Thread model: posix
      gcc version 4.1.2 20080704 (Red Hat 4.1.2-51)
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep gcc-c++-4.1.1-52
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep gcc-c++-4.
      gcc-c++-4.1.2-51.el5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-2.5-12
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-2.
      glibc-2.5-65
      compat-glibc-2.3.4-2.26
      glibc-2.5-65
      compat-glibc-2.3.4-2.26
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-2.5-12
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-2.5-
      glibc-2.5-65
      glibc-2.5-65
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-common-2.5-12
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-common-2.5
      glibc-common-2.5-65
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-devel-2.5-12
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-devel-2.
      glibc-devel-2.5-65
      glibc-devel-2.5-65
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-devel-2.5-12
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-headers-2.5-12
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-devel-2.5
      glibc-devel-2.5-65
      glibc-devel-2.5-65
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep glibc-headers-2.5
      glibc-headers-2.5-65
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep ksh-20060214-1.4
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libaio-0.3.106-3.2
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libgcc-4.1.1-52
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep ksh-20060214
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep ksh-200602
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep ksh-20
      ksh-20100202-1.el5_6.6
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libaio-
      libaio-0.3.106-5
      libaio-devel-0.3.106-5
      libaio-0.3.106-5
      libaio-devel-0.3.106-5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libgcc-4.1
      libgcc-4.1.2-51.el5
      libgcc-4.1.2-51.el5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libgnome-2.16.
      libgnome-2.16.0-6.el5
      libgnome-2.16.0-6.el5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libgnomeui-2.1
      libgnomeui-2.16.0-5.el5
      libgnomeui-2.16.0-5.el5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libgomp-4.1.
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libgomp-4.
      libgomp-4.4.4-13.el5
      libgomp-4.4.4-13.el5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libstdc++-4.
      libstdc++-4.1.2-51.el5
      libstdc++-4.1.2-51.el5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libstdc++-devel-4.
      libstdc++-devel-4.1.2-51.el5
      libstdc++-devel-4.1.2-51.el5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libXp-1.
      libXp-1.0.0-8.1.el5
      libXp-1.0.0-8.1.el5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep libXtst-1
      libXtst-1.0.1-3.1
      libXtst-1.0.1-3.1
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep make-3.81
      make-3.81-3.el5
      [oracle10@SERVERBD01 ~]$ rpm -qa | grep sysstat-7.0
      sysstat-7.0.2-11.el5